Cancel membership plan
curl --request POST \
--url https://api.creditor.younegotiate.com/membership-settings/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remove_profile": false
}
'import requests
url = "https://api.creditor.younegotiate.com/membership-settings/cancel"
payload = { "remove_profile": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({remove_profile: false})
};
fetch('https://api.creditor.younegotiate.com/membership-settings/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Membership cancellation scheduled successfully!",
"data": {
"company_membership": {
"id": 123,
"company_id": 123,
"membership_id": 123,
"next_membership_plan_id": 123,
"status": "<string>",
"current_plan_start": "2023-11-07T05:31:56Z",
"current_plan_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"next_membership_plan": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"remove_profile": true
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Cancel membership plan
Schedule current membership cancellation and choose whether the creditor profile should be removed after the billing period.
POST
/
membership-settings
/
cancel
Cancel membership plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

